package cz.frantovo.hrisniciSpameri;

import cz.frantovo.hrisniciSpameri.dao.CilDAO;
import cz.frantovo.hrisniciSpameri.dao.GeneratorSouhrnuDAO;
import cz.frantovo.hrisniciSpameri.dto.Cil;
import java.io.Serializable;
import java.util.Collection;
import java.sql.Date;

/**
 * Beana, která vygeneruje denní souhrn.
 * Pokud pro daný den už souhr vygenerovaný byl, smaže ho.
 * Vše probíhá v jedné transakci.
 * @author fiki
 */
public class Sprava implements Serializable {

    private static final long serialVersionUID = -9048188038805055786L;

    public boolean getGenerujSouhrn() {
        Date zacatek = new Date(0);
        Date konec = new Date(System.currentTimeMillis());
        Collection<Cil> cile = new CilDAO().getCile();
        for (Cil c : cile) {
            if (c.getId() == 1) {
                new GeneratorSouhrnuDAO().generujSouhrn(c, zacatek, konec);
            }
        }
        System.out.println("Od: " + zacatek + " do: " + konec);



        return true;
    }
}
